<!DOCTYPE html>
<html lang="en"xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net/thymeleaf/layout"
      layout:decorate="~{layout/layout}">
<head>
    <meta charset="UTF-8">
    <title>Update File</title>
    <link rel="stylesheet" href="/bootstrap.min.css">
    <link rel="stylesheet" href="/style.css">
</head>
<body>

    <div class="col-md-8 offset-md-2 margin" layout:fragment="~{content}">

        <form action="submit" method="post" th:object="${book}" enctype="multipart/form-data">
            <input type="text" class="form-control" th:field="*{id}" hidden>
            <div class="form-group">
                <label >Title</label>
                <input type="text" class="form-control" th:field="*{title}" >
            </div>
            <div class="form-group">
                <label >Author</label>
                <input type="text" class="form-control" th:field="*{author}">
            </div>
            <div class="form-group">
                <label >Publisher</label>
                <input type="text" class="form-control" th:field="*{publisher}">
            </div>

            <div class="form-group">
                <label >Category</label>
                <select th:name="category.id" >
                    <option class="btn" th:each="ca:${category}" th:value="${ca.getId()}" th:text="${ca.getName()}"></option>
                </select>
            </div>
            <div class="form-group">
                <label >Image</label><br>
                <input type="text" th:field="*{thumbnail}" style="display: none">
                <input type="file" name="file">
            </div>


            <input type="submit" class="btn btn-primary" value="Submit">
            </form>
        <a th:href="@{/index}"><button class="mt-4 btn btn-primary">Back Home</button></a>
    </div>


</body>
</html>